schedwrk.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

void | schedwrk_init (void(*serialize_lock_fn)(void), void(*serialize_unlock_fn)(void))
int | schedwrk_create (hdb_handle_t *handle, int(schedwrk_fn)(const void *), const void *context)
int | schedwrk_create_nolock (hdb_handle_t *handle, int(schedwrk_fn)(const void *), const void *context)
void | schedwrk_destroy (hdb_handle_t handle)

## Function Documentation

## schedwrk_create()

int schedwrk_create | ( | hdb_handle_t * | handle,
|  | int(schedwrk_fn)(const void *) | ,
|  | const void * | context
| ) |  |

Definition at line 138 of file schedwrk.c.

## schedwrk_create_nolock()

int schedwrk_create_nolock | ( | hdb_handle_t * | handle,
|  | int(schedwrk_fn)(const void *) | ,
|  | const void * | context
| ) |  |

Definition at line 146 of file schedwrk.c.

## schedwrk_destroy()

void schedwrk_destroy | ( | hdb_handle_t | handle | ) |

Definition at line 154 of file schedwrk.c.

## schedwrk_init()

void schedwrk_init | ( | void(*)(void) | serialize_lock_fn,
|  | void(*)(void) | serialize_unlock_fn
| ) |  |

Definition at line 83 of file schedwrk.c.